dbXML API

## org.dbxml.core.corba.db
Class CollectionPOATie

    java.lang.Object
      |
      +--org.omg.PortableServer.Servant
            |
            +--org.dbxml.core.corba.db.CollectionPOA
                  |
                  +--org.dbxml.core.corba.db.CollectionPOATie

All Implemented Interfaces:
  CollectionOperations, org.omg.CORBA.portable.InvokeHandler, ServantManagementOperations

public class CollectionPOATie
extends CollectionPOA

Generated from IDL definition of interface "Collection"

Author:
  JacORB IDL compiler

Constructor Summary
`CollectionPOATie(CollectionOperations delegate)`
`CollectionPOATie(CollectionOperations delegate, org.omg.PortableServer.POA poa)`

Method Summary
`CollectionOperations` `_delegate()`
`void` `_delegate(CollectionOperations delegate)`
`Collection` `_this()`
`Collection` `_this(org.omg.CORBA.ORB orb)`
`java.lang.String` `createNewOID()`
`java.lang.String` `getCanonicalName()`
`Collection` `getCollection(java.lang.String path)`
`CollectionManager` `getCollectionManager()`
`EncodedBuffer` `getDocument(java.lang.String id, long stamp)`
`int` `getDocumentCount()`
`DocumentSet` `getDocuments()`
`java.lang.String` `getName()`
`Collection` `getParentCollection()`
`java.lang.String` `insertDocument(java.lang.String nam, EncodedBuffer doc)`
`EncodedBuffer` `invokeXMLObject(java.lang.String uri)`
`java.lang.String[]` `listCollections()`
`java.lang.String[]` `listDocuments()`
`EncodedBuffer` `queryCollection(java.lang.String style, java.lang.String query, NamedVal[] namespaces, long stamp)`
`EncodedBuffer` `queryDocument(java.lang.String style, java.lang.String query, NamedVal[] namespaces, java.lang.String id, long stamp)`
`void` `remove()`
`void` `removeDocument(java.lang.String id)`
`void` `setDocument(java.lang.String id, EncodedBuffer doc)`

Methods inherited from class org.dbxml.core.corba.db.CollectionPOA
`_all_interfaces, _invoke`

Methods inherited from class org.omg.PortableServer.Servant
`_default_POA, _get_delegate, _get_interface_def, _get_interface, _is_a, _non_existent, _object_id, _orb, _orb, _poa, _set_delegate, _this_object, _this_object`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CollectionPOATie

    public CollectionPOATie(CollectionOperations delegate)

### CollectionPOATie

    public CollectionPOATie(CollectionOperations delegate,
                            org.omg.PortableServer.POA poa)

Method Detail

### _this

    public Collection _this()

  Overrides:
    `_this` in class `CollectionPOA`

### _this

    public Collection _this(org.omg.CORBA.ORB orb)

  Overrides:
    `_this` in class `CollectionPOA`

### _delegate

    public CollectionOperations _delegate()

### _delegate

    public void _delegate(CollectionOperations delegate)

### getName

    public java.lang.String getName()
                             throws APIException

### listCollections

    public java.lang.String[] listCollections()
                                       throws APIException

### getDocument

    public EncodedBuffer getDocument(java.lang.String id,
                                     long stamp)
                              throws APIException

### invokeXMLObject

    public EncodedBuffer invokeXMLObject(java.lang.String uri)
                                  throws APIException

### getCollectionManager

    public CollectionManager getCollectionManager()
                                           throws APIException

### getCollection

    public Collection getCollection(java.lang.String path)
                             throws APIException

### getDocumentCount

    public int getDocumentCount()
                         throws APIException

### remove

    public void remove()

### listDocuments

    public java.lang.String[] listDocuments()
                                     throws APIException

### createNewOID

    public java.lang.String createNewOID()
                                  throws APIException

### insertDocument

    public java.lang.String insertDocument(java.lang.String nam,
                                           EncodedBuffer doc)
                                    throws APIException

### getParentCollection

    public Collection getParentCollection()
                                   throws APIException

### getCanonicalName

    public java.lang.String getCanonicalName()
                                      throws APIException

### getDocuments

    public DocumentSet getDocuments()
                             throws APIException

### queryCollection

    public EncodedBuffer queryCollection(java.lang.String style,
                                         java.lang.String query,
                                         NamedVal[] namespaces,
                                         long stamp)
                                  throws APIException

### removeDocument

    public void removeDocument(java.lang.String id)
                        throws APIException

### setDocument

    public void setDocument(java.lang.String id,
                            EncodedBuffer doc)
                     throws APIException

### queryDocument

    public EncodedBuffer queryDocument(java.lang.String style,
                                       java.lang.String query,
                                       NamedVal[] namespaces,
                                       java.lang.String id,
                                       long stamp)
                                throws APIException

dbXML API

Copyright (c) 1999-2001 The dbXML Group, All rights reserved